Skip to main content
This endpoint is used by the Portal.io Zapier integration. It fires when a contact (person) record is created or updated in your Portal.io account.

Endpoint

GET /zapier/trigger/person

Headers

HeaderRequiredDescription
AcceptYesMust be application/json

Response

A 200 response returns a contact object with the modified person’s details and their primary location.
{
  "location": {
    "id": 0,
    "street": "string",
    "suite": "string",
    "city": "string",
    "postalCode": "string",
    "state": "string",
    "stateAbbrev": "string",
    "country": "string",
    "phone": "string"
  },
  "id": 0,
  "partyType": "Person",
  "contactType": "Client",
  "firstName": "string",
  "lastName": "string",
  "companyName": "string",
  "contactEmail": "string",
  "contactEmailCC": "string",
  "contactPhone": "string"
}
This endpoint is designed for the Portal.io Zapier integration. If you are building a direct integration rather than using Zapier, consider using the webhook subscription endpoints instead.